package repository

import "be.ems/src/modules/system/model"

// ISysRoleTenant 角色与部门关联表 数据层接口
type ISysRoleTenant interface {
	// DeleteRoleTenant 批量删除角色部门关联信息
	DeleteRoleTenant(roleIds []string) int64

	// DeleteTenantRole 批量删除部门角色关联信息
	DeleteTenantRole(tenantIds []string) int64

	// BatchRoleTenant 批量新增角色部门信息
	BatchRoleTenant(sysRoleTenants []model.SysRoleTenant) int64
}
